/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.supervisor;

/**
 * 화면 전환을 관리하는 클래스
 * <pre>
 * - Activity/Fragment 전환
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 5.]   [최초 작성]
 * @since 2018. 9. 5.
 */
public abstract class ScreenChanger {

  public ScreenChanger() {
  }

  /**
   * 스크린 전환을 효과 없이 실행
   *
   * @param id ScreenID.LOGIN
   */
  public abstract void changeTo(int id);

  /**
   * 스크린 전환을 다음으로 진행 효과를 주면서 실행
   *
   * @param id ScreenID.LOGIN
   */
  public abstract void changeToNext(int id);

  /**
   * 스크린 전환을 이전으로 진행 효과를 주면서 실행
   *
   * @param id ScreenID.LOGIN
   */
  public abstract void changeToBack(int id);

}
